Subject: Re: [PATCH v3 net-next] bpf: fix bpf_perf_event_read() helper

From: Peter Zijlstra <[email-masked]>
Date: Mon, 26 Oct 2015 13:32:00 +0100

On Sun, Oct 25, 2015 at 09:23:36AM -0700, Alexei Starovoitov wrote:
> bpf_perf_event_read() muxes of -EINVAL into return value, but it's non
> ambiguous to the program whether it got an error or real counter value.

How can that be, the (u64)-EINVAL value is a valid counter value..
unlikely maybe, but still quite possible.